Package de.willuhn.jameica.hbci.gui.dialogs

# Class VerwendungszweckDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.VerwendungszweckDialog

public class VerwendungszweckDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Dialog zum Eingeben weiterer Zeilen Verwendungszweck.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`VerwendungszweckDialog(HibiscusTransfer transfer, int pos)`
ct
`VerwendungszweckDialog(SammelTransferBuchung buchung, int pos)`
ct

## Method Summary

Modifier and Type
Method
Description
`Object`
`getData()`
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerwendungszweckDialog

public VerwendungszweckDialog(HibiscusTransfer transfer, int pos) throws RemoteException
ct

Parameters:
  `transfer` - der Auftrag.
  `pos` - Position des Dialogs.
Throws:
  `RemoteException`

### VerwendungszweckDialog

public VerwendungszweckDialog(SammelTransferBuchung buchung, int pos) throws RemoteException
ct

Parameters:
  `buchung` - die Buchung.
  `pos` - Position des Dialogs.
Throws:
  `RemoteException`

## Method Details

### getData

public Object getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `Liefert ein String-Array mit den Verwendungszwecken.`

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`